SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000827supertux-contrib[supertux] Levels and Worldmapspublic2011-08-08 18:082013-02-13 12:17
Reporterctdabomb 
Assigned Tolmh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Platformx86 (Intel, AMD, 32-bit)OSLinuxOS Version2.4
Summary0000827: New Worldmap
DescriptionHere is a new worldmap called CT's Domain. Please play and tell me what you think.
TagsAttachedFiles
Attached Fileszip file icon cts.zip [^] (186,144 bytes) 2011-08-08 18:08
zip file icon CT's Domain.zip [^] (158,633 bytes) 2011-09-30 09:41
zip file icon CTs_Domain.zip [^] (177,950 bytes) 2011-09-30 12:33
png file icon the coins.png [^] (184,830 bytes) 2011-12-31 03:56


png file icon Screenshot.png [^] (127,365 bytes) 2012-01-01 08:37

- Relationships

-  Notes
(0002505)
hume2 (administrator)
2011-08-14 01:12

Good levels. It could be better. Use these tips:
1) It should be possible to collect all power-ups and reach with all to the goal.
2) To label of goal just one or two poles. There may not be many poles.
3) Do not use the same tiles for background and foreground.
4) Tiles should be linked to each other.
5) Change gravity only when it makes sense. It may not be different gravity in each level.
6) You can find other tips on https://supertux.lethargik.org/wiki/Milestone_2_Design_Document/Styleguide [^]
(0002527)
ctdabomb (administrator)
2011-08-19 09:21

Thanks for the tips.
1) where don't I do That?
2) I will fix that
3) Where do I do that?
4) ????????
5) like in the crystal mine level?
6) I will fix those things also
(0002556)
giby (administrator)
2011-08-29 09:14

You should read carefully the page given by Hume.

There is many graphical bugs (eg in the first level) .

Some title should not be use in background at all... Do not put coins benelth the downer rock lol... Making tux as supertux with hat from the beging of a level is only for test levels, to seek for bugs.

Nevertheless, it is nice to share level eventhought they are not very playable.
(0002558)
ctdabomb (administrator)
2011-08-29 09:45

What do you think about all my other levels?
I will change the hat thing.
(0002621)
ctdabomb (administrator)
2011-09-07 16:34

Does anyone have any suggestions to make these levels better?
(0002639)
lmh (administrator)
2011-09-09 16:14

I have a couple of suggestions in addition to those already mentioned, but let me first preface with a question: which version of SuperTux did you make the set with? I ask because I felt there were aspects which probably didn't behave as you might have intended as well as console warnings indicative of older versions. If you are using the SVN, did you build it from code or just update the data files? A version mismatch could explain some of the behavior I experienced, and may even render some of my comments moot.

First about graphics. The set appears a bit rough (which is fine all levels start somewhere). Going through carefully and cleaning up areas where tiles abruptly end or do not match and adding some background objects to larger areas will go a long way toward enhancing the aesthetics. Also I noticed that some of the levels were smaller than the large screen resolution. I can't remember the actual numbers, but generally at least 30 tiles high and 40 tiles wide should keep you safe. In addition, adding/changing backgrounds (some failed to load for me) or use of more parallax scrolling like you did in "Life in an Arctic City" would make things more visually appealing. For example, I really liked the visual effect in "icecubish nightmare" but I think if the background moved separately it would be much more interesting.

Now about the gameplay. I think the biggest piece of advise I can give on enhancing how the levels play is: less is more. For example, there are few players out there who are willing to take the time to collect 600+ coins in a level; especially if they have already maxed out the coin counter by grabbing a series of 1up dolls. It's kind of like a supply and demand situation, with a lot of coins available there is little motivation to collect them all. Same goes for the number of levels. Some were very short with only a couple of challenges to get past, try combining some of the shorter levels together. I think that virtually everyone who has designed a level has put in a giant wave of badguys and watched the ensuing chaos at some point; however, it rarely makes for very fun gameplay. Try reducing the number of badguys to a strategic few. Also I had a lot fall off the screen or die before I could even reach them, since they're not doing anything they should probably be removed (also some people like to max out the kill counters which isn't possible when the badguys fall). I was able to jump over boundaries quite a bit through the top of the screen, I'm not sure if that was your intent but I felt I was skipping a lot. And please don't use invisible tiles where they are readily encountered, getting caught up on something you cannot see is pretty frustrating and should be kept to a minimum. A careful redesign of these areas should remove the need to "funnel" Tux to a location using invisible walls. Avoid hazards in the immediate vicinity of spawn-points as well- people like to see the level first before they're forced to react.

I know that's a lot, and I don't mean to be discouraging or anything, but I think that these things will help make the levels more enjoyable.
(0002656)
ctdabomb (administrator)
2011-09-10 12:06

lmh: Thanks for the comment.
I am using version 3.3
I've done a bunch of graphical improvements in my levels(right after I released the levels I realized that the graphics were pretty bad.)
I know I over do the coins in secret areas and I will change that, but do I overdo the coins? I felt that in most of my levels I hadn't put in enough coins(can you tell me where I do that?)
Where did I do the invisible block thing you were talking about?
I will get rid of the hazards at the beginning of the level
You did not discourage me at all. I know my levels were pretty bad so I asked what people thought.



I will be uploading a newer version soon. in it I will greatly improve the graphics, add a few more levels, and get rid of the stupid levels like:Inside The house,Myth Busters,Another Castle,etc.
(0002659)
lmh (administrator)
2011-09-10 13:20

ct: I think that because I am using the 0.3.3-SVN version I had a much more buggy experience. This may also explain the invisible walls I encountered: some of the tiles behave a little differently due to revisions since the snapshot. This of course makes it a little difficult for me to evaluate effectively. As far as coins, just check the max coins on the level stats and if it's in the multi-hundred range, then you probably want to reduce.
(0002751)
ctdabomb (administrator)
2011-09-28 17:20

Any suggestions/comments before I add the update?
(0002762)
ctdabomb (administrator)
2011-09-30 09:40

Can someone help me? I can't get CT's Domain to work as an add-on. I uploaded my attempt of packaging it as an add-on.
(0002765)
lmh (administrator)
2011-09-30 12:34

You had an extra directory mucking it up, I removed it and repackaged the set.
(0002766)
ctdabomb (administrator)
2011-09-30 12:55

thank you.
(0002767)
ctdabomb (administrator)
2011-09-30 13:02

Hello all this is CT.
CT's Domain has a new update! Please download CT's Domain.zip and play. In the update you will find:a redone worldmap, a lot less stupid levels, 6 or 7 new levels, and a final castle. Please let me know what you think.
CT. da'Bomb
(0002769)
mol1 (reporter)
2011-10-01 09:40

I have a question : why 'CT. da'Bomb ' ?? ;-)
else i will try your levelset
(0002771)
semajD (reporter)
2011-10-01 17:28

These levels have improved a lot. Good job. However 'Logger's Camp' and 'Avalanche' were confusing and too hard. I really like the ending levels, there are very nice. Keep up the good work.
(0002922)
farghiroi (reporter)
2011-12-30 12:07

hello! i need a help, because i can't finished the level " A visit to the loggers camp ". Some video, please? thanks.
(0002924)
ctdabomb (administrator)
2011-12-30 12:34

there is a door in the middle of the logs at the far right. don't know why it doesn't show.
(0002925)
farghiroi (reporter)
2011-12-30 12:54

you can, please, upload a video? thanks.
(0002926)
farghiroi (reporter)
2011-12-30 13:15

i found. thanks :)
(0002927)
farghiroi (reporter)
2011-12-30 15:39

i don't found the all 5 coins at the level " can you find the coins " :(
(0002928)
farghiroi (reporter)
2011-12-31 03:16

hello again! i don't found the last coin. i attach the file....where is the last coin?
(0002929)
farghiroi (reporter)
2011-12-31 05:14

please, help me with this level-" can you find the coins " !!!!
(0002935)
ctdabomb (administrator)
2012-01-01 08:34

can help you much because I don't know which coins you have found, but I guarantee that there are five coins in the level.
also, if you want help with a level(s) maybe you should try the forum or irc.
http://forum.freegamedev.net/viewforum.php?f=66 [^]
http://webchat.freenode.net/?channels=supertux&uio=d4# [^]
(0002936)
ctdabomb (administrator)
2012-01-01 08:38

farghiroi: screenshot.png is of the blocks talked about in the hint
(0002937)
farghiroi (reporter)
2012-01-01 08:45

thank you very much.
(0003249)
lmh (administrator)
2012-12-20 13:45

This addon is accessible via the Addon Manager in GIT revision 947098af8085
(0003272)
ila1000 (reporter)
2013-02-12 12:40

How to finish "a visit in a loggers camp"?? a cant do it! its any door or something there. Can you do screenshoot or video ? please help me!
(0003273)
fool001 (reporter)
2013-02-13 07:53

ila1000: At the losers cabin, try to find a door. They are hidden.
(0003274)
ila1000 (reporter)
2013-02-13 08:25

i cant found and i cant see it. Can you tell me excatly where is it?
(0003275)
lmh (administrator)
2013-02-13 12:17

When you get to the reset point (bell) press the 'Up' key.

- Issue History
Date Modified Username Field Change
2011-08-08 18:08 ctdabomb New Issue
2011-08-08 18:08 ctdabomb File Added: cts.zip
2011-08-09 07:07 ctdabomb Issue Monitored: ctdabomb
2011-08-09 07:07 ctdabomb Issue End Monitor: ctdabomb
2011-08-14 01:12 hume2 Note Added: 0002505
2011-08-19 09:21 ctdabomb Note Added: 0002527
2011-08-29 09:14 giby Note Added: 0002556
2011-08-29 09:45 ctdabomb Note Added: 0002558
2011-09-07 16:34 ctdabomb Note Added: 0002621
2011-09-09 16:14 lmh Note Added: 0002639
2011-09-10 12:06 ctdabomb Note Added: 0002656
2011-09-10 13:20 lmh Note Added: 0002659
2011-09-28 17:20 ctdabomb Note Added: 0002751
2011-09-30 09:40 ctdabomb Note Added: 0002762
2011-09-30 09:41 ctdabomb File Added: CT's Domain.zip
2011-09-30 12:33 lmh File Added: CTs_Domain.zip
2011-09-30 12:34 lmh Note Added: 0002765
2011-09-30 12:55 ctdabomb Note Added: 0002766
2011-09-30 13:02 ctdabomb Note Added: 0002767
2011-10-01 09:40 mol1 Note Added: 0002769
2011-10-01 17:28 semajD Note Added: 0002771
2011-10-23 09:50 sik0fewl Project supertux => supertux-contrib
2011-12-30 12:07 farghiroi Note Added: 0002922
2011-12-30 12:34 ctdabomb Note Added: 0002924
2011-12-30 12:54 farghiroi Note Added: 0002925
2011-12-30 13:15 farghiroi Note Added: 0002926
2011-12-30 15:39 farghiroi Note Added: 0002927
2011-12-31 03:16 farghiroi Note Added: 0002928
2011-12-31 03:50 farghiroi Issue Monitored: farghiroi
2011-12-31 03:56 farghiroi File Added: the coins.png
2011-12-31 05:14 farghiroi Note Added: 0002929
2012-01-01 08:34 ctdabomb Note Added: 0002935
2012-01-01 08:37 ctdabomb File Added: Screenshot.png
2012-01-01 08:38 ctdabomb Note Added: 0002936
2012-01-01 08:45 farghiroi Note Added: 0002937
2012-09-08 06:21 superdev Tag Attached: AttachedFiles
2012-12-20 13:45 lmh Note Added: 0003249
2012-12-20 13:45 lmh Status new => resolved
2012-12-20 13:45 lmh Resolution open => fixed
2012-12-20 13:45 lmh Assigned To => lmh
2013-02-12 12:40 ila1000 Note Added: 0003272
2013-02-13 07:53 fool001 Note Added: 0003273
2013-02-13 08:25 ila1000 Note Added: 0003274
2013-02-13 12:17 lmh Note Added: 0003275


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker